package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Test23;
import com.realnet.basicp1.Services.Test23Service ;






@RequestMapping(value = "/Test23")
 @CrossOrigin("*") 
@RestController
public class Test23Controller {
	@Autowired
	private Test23Service Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Test23")
		  public Test23 Savedata(@RequestBody Test23 data) {
		Test23 save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Test23/{id}")
	public  Test23 update(@RequestBody Test23 data,@PathVariable Integer id ) {
		Test23 update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Test23/getall/page")
	public Page<Test23> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Test23> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Test23")
	public List<Test23> getdetails() {
		 List<Test23> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Test23")
	public List<Test23> getallwioutsec() {
		 List<Test23> get = Service.getdetails();		
		return get;
}
@GetMapping("/Test23/{id}")
	public  Test23  getdetailsbyId(@PathVariable Integer id ) {
		Test23  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Test23/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}